import { PublicKey } from "@solana/web3.js";
export declare const PROGRAM_ID: PublicKey;
export declare const IDL: {
    version: string;
    name: string;
    instructions: {
        name: string;
        accounts: {
            name: string;
            isMut: boolean;
            isSigner: boolean;
        }[];
        args: {
            name: string;
            type: {
                defined: string;
            };
        }[];
    }[];
    accounts: {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    vec: {
                        defined: string;
                    };
                    array?: undefined;
                };
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    vec?: undefined;
                };
            })[];
        };
    }[];
    types: ({
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    option: string;
                    vec?: undefined;
                    defined?: undefined;
                };
            } | {
                name: string;
                type: {
                    vec: {
                        defined: string;
                    };
                    option?: undefined;
                    defined?: undefined;
                };
            } | {
                name: string;
                type: {
                    defined: string;
                    option?: undefined;
                    vec?: undefined;
                };
            })[];
            variants?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            fields: ({
                name: string;
                type: {
                    option: {
                        vec: {
                            defined: string;
                        };
                    };
                };
            } | {
                name: string;
                type: {
                    option: string;
                };
            })[];
            variants?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            variants: {
                name: string;
            }[];
            fields?: undefined;
        };
    } | {
        name: string;
        type: {
            kind: string;
            variants: {
                name: string;
                fields: {
                    defined: string;
                }[];
            }[];
            fields?: undefined;
        };
    })[];
    errors: {
        code: number;
        name: string;
        msg: string;
    }[];
};
//# sourceMappingURL=constants.d.ts.map